Get the network address book nodes
curl --request GET \
--url https://mainnet.mirrornode.hedera.com/api/v1/network/nodesimport requests
url = "https://mainnet.mirrornode.hedera.com/api/v1/network/nodes"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mainnet.mirrornode.hedera.com/api/v1/network/nodes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"nodes": [
{
"admin_key": {
"_type": "ED25519",
"key": "15706b229b3ba33d4a5a41ff54ce1cfe0a3d308672a33ff382f81583e02bd743"
},
"associated_registered_nodes": [
1,
10
],
"decline_reward": false,
"description": "address book 1",
"file_id": "0.0.102",
"max_stake": 50000,
"memo": "0.0.4",
"min_stake": 1000,
"node_account_id": "0.0.4",
"node_cert_hash": "0x01d173753810c0aae794ba72d5443c292e9ff962b01046220dd99f5816422696e0569c977e2f169e1e5688afc8f4aa16",
"node_id": 1,
"public_key": "0x4a5ad514f0957fa170a676210c9bdbddf3bc9519702cf915fa6767a40463b96f",
"reward_rate_start": 1000000,
"service_endpoints": [
{
"ip_address_v4": "128.0.0.6",
"port": 50216
}
],
"stake": 20000,
"stake_not_rewarded": 19900,
"stake_rewarded": 100,
"staking_period": {
"from": "1655164800.000000000",
"to": "1655251200.000000000"
},
"timestamp": {
"from": "187654.000123457",
"to": null
}
}
],
"links": {
"next": null
}
}{
"_status": {
"messages": [
{
"message": "Invalid parameter: account.id"
},
{
"message": "Invalid Transaction id. Please use \\shard.realm.num-sss-nnn\\ format where sss are seconds and nnn are nanoseconds"
}
]
}
}Network
Get the network address book nodes
Returns the network’s list of nodes used in consensus
GET
/
api
/
v1
/
network
/
nodes
Get the network address book nodes
Query Parameters
The ID of the file entity
Pattern:
^((gte?|lte?|eq|ne)\:)?(\d{1,10}\.\d{1,10}\.)?\d{1,10}$The maximum number of items to return
Required range:
1 <= x <= 100The ID of the node
Pattern:
^((eq|gt|gte|lt|lte):)?\d{1,19}$The order in which items are listed
Available options:
asc, desc Was this page helpful?
⌘I